Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSRemoveValueElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSRemoveValueElement

All Implemented Interfaces:
  ValueElementsParent, XDSElement

public class XDSRemoveValueElement
extends ElementImpl
implements ValueElementsParent

A `<remove-value>` element.

See Also:
  `XDSModifyAttrElement.appendRemoveValueElement()`, `XDSModifyAttrElement.childElements()`

Method Summary
`XDSValueElement` | `appendValueElement()` Appends an empty, child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(String someText)` Appends a child `<value>` element to this element.
`XDSValueElement` | `appendValueElement(ValueType someType, String someText)` Appends a child `<value>` element to this element.
`List` | `extractValueElements()` Returns this element's child `<value>` elements.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.ValueElementsParent
`childElements`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractValueElements

    public List extractValueElements()

  Description copied from interface: `ValueElementsParent`
  Returns this element's child `<value>` elements.

  Invocation Context:
    READ

  Specified by:
    `extractValueElements` in interface `ValueElementsParent`
  Returns:
    a list of one or more `XDSValueElement` objects; will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement()

  Description copied from interface: `ValueElementsParent`
  Appends an empty, child `<value>` element to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(String someText)

  Description copied from interface: `ValueElementsParent`
  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Parameters:
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

### appendValueElement

    public XDSValueElement appendValueElement(ValueType someType,
                                              String someText)

  Description copied from interface: `ValueElementsParent`
  Appends a child `<value>` element to this element. The `<value>` element contains the text `someText`. The `<value>` element's `type` attribute is set to `someType`.

  Invocation Context:
    WRITE

  Specified by:
    `appendValueElement` in interface `ValueElementsParent`
  Parameters:
    `someType` - if `null`, a `type` attribute is omitted
    `someText` - if `null` or `""`, an empty `<value>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD